For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • POSTCreate a Deployment
              • POSTGenerate Upload Signature
              • STREAMGet Deployment Event Stream
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingDeployments

Generate Upload Signature

Pre-release
POST
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/deployments/uploads
POST
/stores/:store_hash/v3/infrastructure/deployments/uploads
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/deployments/uploads \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Generate an upload signature
1{
2 "data": {
3 "upload_url": "https://storage.googleapis.com/bigcommerce-production-ignition-gcs-bucket-platform/0000000000/0194fd2b-2ac6-72de-b73f-d83f2d626a74/bundle.zip?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=example%40bigcommerce-production.iam.gserviceaccount.com%2F20240615%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20240615T103000Z&X-Goog-Expires=59&X-Goog-Signature=example-signature&X-Goog-SignedHeaders=content-type%3Bhost",
4 "upload_uuid": "0194fd2b-2ac6-72de-b73f-d83f2d626a74"
5 },
6 "meta": {}
7}

Generates a pre-signed upload URL for uploading deployment artifacts. Use the returned upload_url to upload your deployment package, then pass the upload_uuid when creating a deployment.

Was this page helpful?
Previous

Create a Deployment

Next

Get Deployment Event Stream

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.

Response

The upload signature was generated successfully.
dataobject
metaobject
Empty meta object.